Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui
Interface ColumnSizingTableModel

All Superinterfaces:
  javax.swing.table.TableModel

All Known Subinterfaces:
  AprsMessageContainingModel

All Known Implementing Classes:
  BulletinBoard, ConnectionModel, DXTableModel, KenwoodMessageListTableModel, MessageModel, ObjectPacketModel, OutstandingMessageTableModel, PluginStoreTableModel, RawPacketTableModel, StationListViewer, SymbolFilter, TXIGatedStationsTableModel

    public interface ColumnSizingTableModel

extends javax.swing.table.TableModel

This interface defines an extra method used to indicate a TableModel wants to give a newly created table hints regarding column width.

Method Summary
`int` | `getColumnWidth(int columnIndex)` Specifies the default initial width of a column from this model.
`boolean` | `isSizeToFit(int columnIndex)` Specifies whether setWidthToFit() should be enabled on this column.

Methods inherited from interface javax.swing.table.TableModel
`addTableModelListener, getColumnClass, getColumnCount, getColumnName, getRowCount, getValueAt, isCellEditable, removeTableModelListener, setValueAt`

Method Detail

### getColumnWidth

    int getColumnWidth(int columnIndex)

  Specifies the default initial width of a column from this model. Should only be queried at table creation time.

  Parameters:
    `columnIndex` - int index of the model's column whose width should be obtained
  Returns:
    the width, in the same units used by the TableColumn class's setWidth() method, or -1 to indicate the width should not be forced

### isSizeToFit

    boolean isSizeToFit(int columnIndex)

  Specifies whether setWidthToFit() should be enabled on this column.

  Parameters:
    `columnIndex` - int index of the model's column whose width should be obtained
  Returns:
    boolean true if sizeWidthToFit() should be called on this column

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD